Skip to main content
GET
List all webhooks

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

Response

Success

id
number

The ID of the webhook

url
string

The url to which the events will be send

name
string

The name of the webhook

subscriptions
enum<string>[]

The list of subscribed events

Available options:
conversation_created,
conversation_status_changed,
conversation_updated,
contact_created,
contact_updated,
message_created,
message_updated,
webwidget_triggered,
conversation_typing_on,
conversation_typing_off
secret
string | null

Secret used to sign webhook requests. Signed webhook deliveries include X-Chatwoot-Timestamp and X-Chatwoot-Signature; the signature is sha256= followed by the HMAC-SHA256 of {timestamp}.{raw_request_body} using this secret. Deliveries also include X-Chatwoot-Delivery when a delivery id is available.

account_id
number

The id of the account which the webhook object belongs to